{"openapi":"3.0.0","info":{"title":"5.19取得壓縮進度(Swagger - OpenAPI 3.1)","description":"(WEBSOCKET)call 5.2後，建立 websocket 連線，再 call 5.6 並等待 server 回傳壓縮進度。收到100%完成後即可關閉連線。如果 server 都沒有回傳，建議 client 可以在連線15秒後關閉連線。","version":"1.0.0"},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/RD19/5.19websocket/1.0.0"},{"url":"wss://ie6zstv7j0.execute-api.ap-northeast-1.amazonaws.com/v1/","description":"stage Sever"},{"url":"wss://fig4yzna2a.execute-api.ap-northeast-1.amazonaws.com/v1/","description":"prod Sever"}],"paths":{"/connect":{"get":{"summary":"connect","description":"事件： connect:建立連線，沒有成功，建議每秒retry 重複3次。, disconnect:關閉連線","parameters":[{"in":"header","name":"Connection","description":"升級連線","example":"Upgrade","required":true,"schema":{"type":"string"}},{"in":"header","name":"Upgrade","description":"將連線升級為websocket","example":"websocket","required":true,"schema":{"type":"string"}},{"in":"header","name":"Authorization","description":"accessToken","example":"xxxxxxxxx","required":true,"schema":{"type":"string"}},{"in":"header","name":"postId","description":"作品編號，由5.2取得","example":"xxxxxxxxx","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful","content":{"application/json":{"schema":{"type":"object","properties":{"範例一":{"type":"object","properties":{"compressProgress":{"description":"壓縮進度","type":"object","properties":{"status":{"type":"string","description":"壓縮狀態。continue:持續中,finish:完成,fail,:失敗，應回饋給使用者知道發布失敗","example":"continue"},"percentage":{"type":"integer","description":"百分比(由0開始)","example":10}}}}},"範例二":{"type":"object","properties":{"compressProgress":{"type":"object","properties":{"status":{"type":"string","example":"finish"},"percentage":{"type":"integer","example":100}}}}},"範例三":{"type":"object","properties":{"compressProgress":{"type":"object","properties":{"status":{"type":"string","example":"fail"},"percentage":{"type":"integer","example":0}}},"failReason":{"type":"string","description":"當壓縮狀態為fail時才會有失敗原因，可能為以下情形。 —internal error, —illegal content","example":"illegal content"}}}}}}}}},"x-amazon-apigateway-integration":{"type":"aws_proxy","httpMethod":"POST","uri":"arn:aws:apigateway:${AWS_REGION}:lambda:path/2015-03-31/functions/arn:aws:lambda:${AWS_REGION}:${AWS_ACCOUNT_ID}:function:postWebsocketConnect/invocations"},"x-amazon-apigateway-request-validator":"params-only"}},"/disconnect":{"get":{"summary":"disconnect","description":"(WEBSOCKET)call 5.2後，建立 websocket 連線，再 call 5.6 並等待 server 回傳壓縮進度。收到100%完成後即可關閉連線。如果 server 都沒有回傳，建議 client 可以在連線15秒後關閉連線。","parameters":[{"in":"header","name":"Connection","description":"升級連線","example":"Upgrade","required":true,"schema":{"type":"string"}},{"in":"header","name":"Upgrade","description":"將連線升級為websocket","example":"websocket","required":true,"schema":{"type":"string"}},{"in":"header","name":"Authorization","description":"accessToken","example":"xxxxxxxxx","required":true,"schema":{"type":"string"}},{"in":"header","name":"postId","description":"作品編號，由5.2取得","example":"xxxxxxxxx","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful","content":{"application/json":{"schema":{"type":"object","properties":{"範例一":{"type":"object","properties":{"compressProgress":{"description":"壓縮進度","type":"object","properties":{"status":{"type":"string","description":"壓縮狀態。continue:持續中,finish:完成,fail,:失敗，應回饋給使用者知道發布失敗","example":"continue"},"percentage":{"type":"integer","description":"百分比(由0開始)","example":10}}}}},"範例二":{"type":"object","properties":{"compressProgress":{"type":"object","properties":{"status":{"type":"string","example":"finish"},"percentage":{"type":"integer","example":100}}}}},"範例三":{"type":"object","properties":{"compressProgress":{"type":"object","properties":{"status":{"type":"string","example":"fail"},"percentage":{"type":"integer","example":0}}},"failReason":{"type":"string","description":"當壓縮狀態為fail時才會有失敗原因，可能為以下情形。 —internal error, —illegal content","example":"illegal content"}}}}}}}}}}}}}